Skip to main content
`Ctrl`+`K`

# MatPartitioningPTScotchGetStrategy

Gets the strategy used in PTScotch.

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatPartitioningPTScotchGetStrategy(MatPartitioning part, MPPTScotchStrategyType *strategy)

Not Collective

## Input Parameter

- part - the partitioning context

## Output Parameter

- strategy - the strategy

## See Also

`MATPARTITIONINGSCOTCH`, `MatPartitioningPTScotchSetStrategy()`

## Level

advanced

## Location

src/mat/graphops/partition/impls/scotch/scotch.c

## Implementations

MatPartitioningPTScotchGetStrategy_PTScotch() in src/mat/graphops/partition/impls/scotch/scotch.c

Index of all MatGraphOperations routines
Table of Contents for all manual pages
Index of all manual pages